curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Enregistre la participation de plusieurs contacts HubSpot à un événement marketing en utilisant leurs ID de contact HubSpot.
Fonctionnalité supplémentaire :
Propriétés autorisées : Pour l’état « participer » :
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
L'identifiant interne de l'événement marketing dans HubSpot.
La valeur de l'état de présence. Elle peut être « enregistrer », « participer » ou « annuler »
Liste des contacts HubSpot à inscrire à l'événement marketing
Show child attributes
successful operation
Horodatage indiquant quand le traitement de la requête s'est terminé.
Show child attributes
Horodatage indiquant quand le traitement de la requête a commencé.
Statut du traitement de la demande
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Résultat de la demande
Show child attributes
Le nombre d'erreurs survenues pendant le traitement
Horodatage indiquant le moment où la demande a été effectuée